Deactivate a batch
curl --request POST \
--url https://api.rigaly.com/api/v1/code-batches/{id}/deactivate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rigaly.com/api/v1/code-batches/{id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rigaly.com/api/v1/code-batches/{id}/deactivate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rigaly.com/api/v1/code-batches/{id}/deactivate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"batch": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"batch_ref": "595Y",
"name": "Summer 2027 bottles",
"prefix": "SUMMER",
"points": 250,
"quantity": 30000,
"expires_at": "2023-11-07T05:31:56Z",
"active": true,
"created_via": "api",
"created_at": "2023-11-07T05:31:56Z",
"failed_attempts": 0
}
}
}{
"success": false,
"error": {
"message": "Reward not found"
}
}Code batches
Deactivate a batch
Stops further claims for every code in the batch. Already-claimed codes are unaffected.
POST
/
api
/
v1
/
code-batches
/
{id}
/
deactivate
Deactivate a batch
⌘I